•  · 4 friends

Besoin d aide

Bonjour sur un de mes sites dès que j'Install le module "" Events "" j'ai ce message d'erreur .. j'ai installer et désinstaller plusieur fois le site mais ça ne change rien 

Parse error: syntax error, unexpected '->' (T_OBJECT_OPERATOR) in /home/cp1663392p24/public_html/Community-Libertine.fr/modules/boonex/events/classes/BxEventsDb.php on line 146 .

Merci d'avance 

0 0 0 0 0 0
  • 111
Replies (9)
    • est-ce que ça peut provenir que certaines extensions PHP ne soit pas activer sur mon serveur car j ai ce probleme avec trois sites installé sur ce serveur .. le quatrième installé ailleurs fonctionne très biens 

      Merci 

      0 0 0 0 0 0
      • j'ai ceci a l ligne 146 : $iSecondsStart = (clone($oDateStart))->setTimezone($oTz)->format('H') * 3600 + $oDateStart->format('i') * 60 +  $oDateStart->format('s');

        0 0 0 0 0 0
        • Hello dreamlove !

          May you plz specify the PHP version of the server with the error form 146 line? Also, by the long path till this file, I may suggest that you use the shared hosting with many limits in work.

          0 0 0 0 0 0
          • bonsoir  , version php 5.6  et a la ligne 146 y as ceci :  $iSecondsStart = (clone($oDateStart))->setTimezone($oTz)->format('H') * 3600 + $oDateStart->format('i') * 60 +  $oDateStart->format('s');

            0 0 0 0 0 0
            • Try to switch it on PHP 7.x.

              0 0 0 0 0 0
              • Quand le site est en PHP 7 j ai ce message d erreur : Erreur de requête de base de données .

                voici ce que m on répondu LWS :

                Bonjour,

                Je viens d'installer l'application UNA avec succès en modifiant la version php7.1 par la version php5.6, car l'application est fonctionnelle avec l'extension MySQL qui n'est pas disponible dans les versions récentes de PHP.

                Nous restons à votre disposition pour toute demande complémentaire.

                Cordialement,

                -----------------

                Alors que chez Hosteur mon autre site est en PHP 7 et fonctionne très bien


                Erreur
                Erreur de requête de base de données


                0 0 0 0 0 0
                • Merci pour votre aide , il suffisais  d'activer la version php 7.4 et activer : mysqlnd et timezonedb. tout fonctionne parfaitement du moins pour l'instant . merci quand même
                  cordialement

                  0 0 0 0 0 0
                  • Par contre j'un autre souci .. depuis le site coté visiteur ils peuvent télécharger des images mais moi coté admin quand je veut changer l icone ou l image cover ça le télécharge mais l image ne s'affiche pas   . merci d avance 

                    0 0 0 0 0 0
                    • Рад

                      По поводу проблемы с прикрытием - похоже, у вас есть еще одна ошибка PHP, которая мешает правильному завершению запроса AJAX. Проверьте свои журналы ошибок.

                      Вдобавок к этому вам нужно знать об этом больше. - it may happen with the enabled Profiler app too.

                      0 0 0 0 0 0
                      Not logged in users can't 'Comments Post'.
                      7
                      3
                      Added:
                      Category:

                      UNA - Network Infrastructure for Communities

                      Close